# PhasicFlow: readControlDict Class Reference

readControlDict Class Reference
Collaboration diagram for readControlDict:
[legend]

## Public Member Functions

| readControlDict (const fileSystem &rootPath=defaultRootPath, const fileSystem &cdPath=defaultCDPath)
auto | startTime () const
auto | endTime () const
auto | saveInterval () const
auto | startTimeName () const

## Protected Member Functions

word | convertTimeToName (const real t, const int32 precision) const
bool | read ()

## Protected Attributes

fileSystem | rootPath_
fileSystem | cdPath_
real | startTime_
real | endTime_
real | saveInterval_
word | formatType_
int32 | precision_

## Static Protected Attributes

static fileSystem | defaultRootPath = CWD()
static fileSystem | defaultCDPath = CWD()/"system"+"controlDict"

## Detailed Description

Definition at line 30 of file readControlDict.hpp.

## Constructor & Destructor Documentation

## readControlDict()

readControlDict | ( | const fileSystem & | rootPath = `defaultRootPath`,
|  | const fileSystem & | cdPath = `defaultCDPath`
| ) |  |

Definition at line 109 of file readControlDict.cpp.

References fatalExit, and readControlDict::read().

Here is the call graph for this function:

## Member Function Documentation

## convertTimeToName()

pFlow::word convertTimeToName | ( | const real | t,
|  | const int32 | precision
| ) |  | const

protected

Definition at line 24 of file readControlDict.cpp.

References pFlow::endl(), fatalErrorInFunction, fatalExit, pFlow::fixed(), readControlDict::formatType_, and pFlow::scientific().

Here is the call graph for this function:

## read()

bool read | ( |  | ) |

protected

Definition at line 47 of file readControlDict.cpp.

References pFlow::endl(), timeFolder::endTime(), fatalErrorInFunction, iIstream::findKeywordAndVal(), iIstream::findTokenAndNextSilent(), iIstream::lookupDataOrSet(), and timeFolder::startTime().

Referenced by readControlDict::readControlDict().

Here is the call graph for this function:
Here is the caller graph for this function:

## startTime()

auto startTime | ( |  | ) | const

inline

Definition at line 62 of file readControlDict.hpp.

Referenced by if().

Here is the caller graph for this function:

## endTime()

auto endTime | ( |  | ) | const

inline

Definition at line 67 of file readControlDict.hpp.

Referenced by if().

Here is the caller graph for this function:

## saveInterval()

auto saveInterval | ( |  | ) | const

inline

Definition at line 72 of file readControlDict.hpp.

Referenced by if().

Here is the caller graph for this function:

## startTimeName()

auto startTimeName | ( |  | ) | const

inline

Definition at line 77 of file readControlDict.hpp.

Referenced by if().

Here is the caller graph for this function:

## Member Data Documentation

## rootPath_

fileSystem rootPath_

protected

Definition at line 35 of file readControlDict.hpp.

## cdPath_

fileSystem cdPath_

protected

Definition at line 37 of file readControlDict.hpp.

## startTime_

real startTime_

protected

Definition at line 39 of file readControlDict.hpp.

## endTime_

real endTime_

protected

Definition at line 41 of file readControlDict.hpp.

## saveInterval_

real saveInterval_

protected

Definition at line 43 of file readControlDict.hpp.

## formatType_

word formatType_

protected

Definition at line 45 of file readControlDict.hpp.

Referenced by readControlDict::convertTimeToName().

## precision_

int32 precision_

protected

Definition at line 47 of file readControlDict.hpp.

## defaultRootPath

fileSystem defaultRootPath = CWD()

inlinestaticprotected

Definition at line 49 of file readControlDict.hpp.

## defaultCDPath

fileSystem defaultCDPath = CWD()/"system"+"controlDict"

inlinestaticprotected

Definition at line 50 of file readControlDict.hpp.

The documentation for this class was generated from the following files:

- utilities/Utilities/readControlDict.hpp
- utilities/Utilities/readControlDict.cpp